<?php

namespace domain\Product\ProductCategory;

use domain\_\AbstractModule;
use domain\_\DefinitionInterface;

class ProductCategoryModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            ProductCategoryDefinition::class,
            ProductCategoryRepository::class,
            ProductCategoryBuilder::class,
        ];
    }

    public function getDefinition(): DefinitionInterface
    {
        return ProductCategoryDefinition::getInstance();
    }

    public function getRepository(): ProductCategoryRepository
    {
        return ProductCategoryRepository::getInstance();
    }

    public function getBuilder(): ProductCategoryBuilder
    {
        return ProductCategoryBuilder::getInstance();
    }
}